curl --request GET \
--url https://api.bestflow.xyz/exchanges \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bestflow.xyz/exchanges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bestflow.xyz/exchanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "swapter",
"name": "Swapter",
"description": "Swapter - service that focuses on the cryptocurrency industry and its development.",
"icon": "https://cdn.jsdelivr.net/gh/bestflow-exchange/assets@main/exchanges/swapter.svg",
"fullLogoLight": "https://cdn.jsdelivr.net/gh/bestflow-exchange/assets@main/exchanges/swapter-light.svg",
"fullLogoDark": "https://cdn.jsdelivr.net/gh/bestflow-exchange/assets@main/exchanges/swapter-dark.svg",
"website": "https://swapter.io",
"termsOfUse": "https://swapter.io/terms-of-use",
"kyc": "low"
}
]{
"error": "UNAUTHORIZED",
"message": "Invalid API key"
}{
"error": "SERVICE_UNAVAILABLE",
"message": "Auth service unavailable"
}Get Exchanges
Returns the list of supported exchanges
Authorizations
Optional Bearer authentication using an API key provided as a Bearer token. Required for unlimited requests and revenue sharing.
Response
List of supported exchanges
Exchange identifier
swapter, etzswap, pegasusswap "swapter"
Display name of the exchange
"Swapter"
Brief description of the exchange
"Swapter - service that focuses on the cryptocurrency industry and its development."
URL to the exchange icon image
"https://cdn.jsdelivr.net/gh/bestflow-exchange/assets@main/exchanges/swapter.svg"
URL to the full logo image for light theme
"https://cdn.jsdelivr.net/gh/bestflow-exchange/assets@main/exchanges/swapter-light.svg"
URL to the full logo image for dark theme
"https://cdn.jsdelivr.net/gh/bestflow-exchange/assets@main/exchanges/swapter-dark.svg"
Exchange website URL
"https://swapter.io"
Exchange terms of use URL. User must accept this before swapping.
"https://swapter.io/terms-of-use"
Frequency of KYC requirements
none, low, medium, high "low"
